<?php

require __DIR__ . '/vendor/autoload.php';

(new Dotenv\Dotenv(__DIR__))->load();

return [
    'environments' => [
        'default_database' => 'development',
        'development' => [
            'adapter' => 'mysql',
            'host' => getenv('DB_HOST'),
            'name' => getenv('DB_DATABASE'),
            'user' => getenv('DB_USERNAME'),
            'pass' => getenv('DB_PASSWORD'),
            'charset' => 'utf8'
        ]
    ],
    'paths' => [
        'migrations' => [
            __DIR__ . '/db/migrations',
            __DIR__ . '/src/Dedi/*/Resources/db',
        ],
        'seeds' => [
            __DIR__ . '/db/seeds',
        ]
    ]
];
