<?php

namespace Controller;

use Symfony\Component\Routing\Annotation\Route;
use Boutique;

class CurrencyController extends Controller {

    /**
     * Permet de changer de devise
     *
     * @Route("/currency/change", name="change_currency", methods = { "POST" })
     *
     * @return mixed
     */
    public function change()
    {
        $data = array('status' => false);

        if ($this->request->get('devise_id') != false) {
            Boutique::getInstance()->getDevise()->load($this->request->get('devise_id'));
            $data['status'] = true;
        }

        return $this->response($data);
    }

    /**
     * Permet de changer le type d'affichage des prix => HT / TTC
     *
     * @Route("/currency/type/change", name="change_currency_type", methods = { "POST" })
     *
     * @return mixed
     */
    public function changeType()
    {
        $data = array('status' => false);

        if ($this->request->get('devise_type') != false) {
            $this->request->getSession()->set('display_price', $this->request->get('devise_type'));
            $data['status'] = true;
        }

        return $this->response($data);
    }

}