<?php

/**
 * Class Pdf
 */
class Pdf
{
    // @TODO : implement param to save PDF

    function generate($htmlContent, $fileName='pdf', $header = '', $title = '', $output = 'D')
    {

        if (empty($htmlContent))
            return;
        if (empty($title))
            $title = $fileName;

        if (!empty($header)) {
            $pdf = new $header(PDF_PAGE_ORIENTATION, PDF_UNIT, PDF_PAGE_FORMAT, true, 'UTF-8', false);
        } else {
            $pdf = new TCPDF(PDF_PAGE_ORIENTATION, PDF_UNIT, PDF_PAGE_FORMAT, true, 'UTF-8', false);
        }


        // param
        $pdf->SetCreator(PDF_CREATOR);
        $pdf->SetTitle($title);

        //set margins
        
        if (!empty($header)) {
            $pdf->setCustomMargin();
        } else {
            // remove default header/footer
            $pdf->SetMargins(PDF_MARGIN_LEFT, PDF_MARGIN_TOP, PDF_MARGIN_RIGHT);
            $pdf->setPrintHeader(false);
            $pdf->setPrintFooter(false);
        }


        //set auto page breaks
        $pdf->SetAutoPageBreak(true, PDF_MARGIN_BOTTOM);

        // content
        $pdf->AddPage();
        $pdf->writeHTML($htmlContent);
        $pdf->lastPage();

        // sortie
        $out = $pdf->Output($fileName . '.pdf', $output);
        return $out;
    }

}

// Header & Footer pour les bon de commande, factures ...
class Pdf_Legal extends TCPDF
{

    public function setCustomMargin()
    {
        $this->SetMargins(15, 15, 15);
        $this->setPrintHeader(false);
        $this->SetFooterMargin(10);
        $this->setFooterFont(Array(PDF_FONT_NAME_DATA, '', PDF_FONT_SIZE_DATA));

    }

    public function Footer()
    {

        $boutique = Boutique::getInstance();

        // Position at 15 mm from bottom
        $this->SetY(-20);
        // Set font
        $this->SetFont('helvetica', '', 8);
        $this->MultiCell(0, 4, nl2br($boutique->footerPdf), 0, 'C', false, 1, '', '', true, 0, true);
        $this->Cell(0, 4, 'Page ' . $this->getAliasNumPage() . '/' . $this->getAliasNbPages(), 0, false, 'R', 0, '', 0, false, 'T', 'M');
    }
}

