<?php

namespace Shopbydedi\Payment;

use Tpe;

/**
 * Interface PaymentDirectInterface
 * @package Shopbydedi\Payment
 */
interface PaymentDirectInterface
{

    /**
     * @param Tpe $tpe
     * @param $amount
     * @param $cardNumber
     * @param $cardExpirationDate
     * @param $cardCrypto
     *
     * @return mixed
     */
    public function doAuthorization(Tpe $tpe, $amount, $cardNumber, $cardExpirationDate, $cardCrypto);

    /**
     * @param Tpe $tpe
     * @param $amount
     * @param $cardNumber
     * @param $cardExpirationDate
     * @param $cardCrypto
     *
     * @return mixed
     */
    public function doDebit(Tpe $tpe, $amount, $cardNumber, $cardExpirationDate, $cardCrypto);

    /**
     * @param array $request
     *
     * @return mixed
     */
    public function response($request);

    /**
     * @param $params
     * @return mixed
     */
    public function sendRequest($params);

}