<?php

namespace Shopbydedi\Payment;

use Panier;
use Tpe;

/**
 * Interface PaymentInterface
 * @package Shopbydedi\Payment
 */
interface PaymentInterface
{

    /**
     * @param Tpe $tpe
     * @param float $amount
     * @param array $params
     * @return mixed
     */
    public function request(Tpe $tpe, $amount, $params = array());

    /**
     * @param Panier $panier
     * @param float $amount
     * @param array $params
     * @return mixed
     */
    public function requestFromPanier(Panier $panier, $amount, $params = array());

    /**
     * @param array $request
     * @return mixed
     */
    public function response($request);

}