<?php

namespace Shopbydedi\Transformer;

use Transformer\TransformerInterface;

/**
 * Class ProductTransformer
 * @package Shopbydedi\Transformer
 */
class ProductTransformer implements TransformerInterface
{

    /**
     * @param array $data
     * @return mixed
     */
    public function transform($data)
    {
        $data['prix_ht'] = $data['produit_prix'];
        $data['prix_ttc'] = $data['prix_ht'] * (1 + $data['taxe_taux']);

        $data['attribut_prix_ht'] = $data['produit_attribut_prix'] + $data['produit_prix'];
        $data['attribut_prix_ttc'] = $data['attribut_prix_ht'] * (1 + $data['taxe_taux']);

        $data['produit_prix_ht'] = (!empty($data['promo'])) ? $data['produit_prix_barre_prix'] : $data['prix_ht'];
        $data['produit_prix_ttc'] = $data['produit_prix_ht'] * (1 + $data['taxe_taux']);

        $data['attribut_produit_prix_ht'] = (!empty($data['promo'])) ?
        $data['produit_prix_barre_prix'] + $data['produit_attribut_prix_barre_prix'] : $data['attribut_prix_ht'];

        $data['attribut_produit_prix_ttc'] = $data['attribut_produit_prix_ht'] * (1 + $data['taxe_taux']);

        $data['promo_valeur_ht'] = $data['produit_prix_barre_valeur']*1;
        $data['promo_valeur_ttc'] = $data['produit_prix_barre_valeur'] * (1 + $data['taxe_taux']);

        $data['attribut_promo_valeur_ht'] = $data['produit_prix_barre_valeur'] + $data['produit_attribut_prix_barre_valeur'];
        $data['attribut_promo_valeur_ttc'] = $data['attribut_promo_valeur_ht'] * (1 + $data['taxe_taux']);

        return $data;
    }
}
