{extends file='layout/layout.tpl'}
{block name='content'}

    <!--delivery-->

    <div class="processPage">
        <div class="container">
            {* //NAV STEPS *}

            <div class="row hidden-xs">
                <div class="col-sm-12">
                    {include file="order/nav.tpl" step=2}
                </div>
            </div>

            {* NAV STEPS// *}
            <section class="processStep">
                <div class="row">
                    <div class="col-xs-12">
                        <div class="stepTitle">
                            <h2 class="titleLvl2">{txt value="Mon panier" key="process_step_name_panier"}</h2>
                            <a href="{url page="panier"}" class="secondaryLink">{txt value="(Modifier)"}</a>
                            <p class="stepRecap price">{price ttc=$aPayerTTC ht=$aPayerHT}</p>
                        </div>
                    </div>
                </div>
            </section>

            <section class="processStep">
                <div class="row">
                    <form id="check_values_livraison" action="{url page="coordonnees_post"}" method="post">
                        <div class="col-xs-12">
                            <div class="stepTitle">
                                <h2 class="titleLvl2">{txt value="Livraison" key="process_step_name_livraison"}</h2>
                            </div>
                            {if !empty($error)}
                                {include file="form/flash.tpl" class="error" messages=$error}
                            {/if}
                            {if !empty($success)}
                                {include file="form/flash.tpl" class="success" messages=$success}
                            {/if}
                        </div>
                        <div class="clear"></div>
                        {*MODE DE LIVRAISON*}
                        <div class="col-md-6 col-xs-12" id="livraisons_div">
                            <h3 class="titleLvl4 uppercase">{txt value="Mode de livraison"}</h3>
                            {include file="delivery_livraisons.tpl" livraisons=$livraisons selected=$port}
                        </div>
                        {* // MODE DE LIVRAISON*}
                    </form>



                    {*CHOIX DES RELAIS *}
                    <div class="col-md-6 col-xs-12">
                        <h3 class="titleLvl4 uppercase">{txt value="Adresse de livraison"}</h3>
                        <div class="adressDomWrapper">
                            {foreach $adresses as $adresse}
                                {include file="delivery_adresse.tpl"}
                                {foreachelse}
                            {/foreach}
                            <div id="action_adresse">
                                <a href="#" class="mainLink" id="a_adresse_modify" data-adressid="{$selectedAdresse.adresse_id}">Modifier cette adresse</a>
                                <a href="#" class="mainLink" id="a_adresse_add">{txt value="Ajouter une adresse"}</a>
                            </div>
                        </div>

                        {*Form edition adresse*}
                        <div  id="adress_form_cart">
                        </div>
                    </div>
                    {*CHOIX DES RELAIS *}

                    <nav class="processBottomNav clearfix" id="valid_delivery">
                        <div class="col-lg-4 col-md-4 col-sm-6 col-md-offset-8 col-sm-offset-6">
                            <div class="right">
                                <button form="check_values_livraison" type="submit" class="btn btnMain">{txt value="Valider ma livraison"}</button>
                            </div>
                        </div>
                    </nav>

                </div>

            </section>

        </div>
    </div>
{/block}

{block name="script-js"}
    <script type="text/javascript">
        $(document).ready(function(){
            // Gestion du choix du mode de livraison
            $("input[name='adress_shipping_select']").on("click", function() {
                change_adresse_shipping(this);
            });

            $("#a_adresse_modify").on('click', function(e) {
                e.preventDefault();
                adress_show_cart($(this).data("adressid"));
            });

            $("#a_adresse_add").on('click', function(e) {
                e.preventDefault();
                adress_show_cart(null);
            });
        });

        // Gestion de modification d'adresse depuis le cart
        function adress_show_cart(adress_id)
        {
            var myUrl = '{url page="modify-cart"}';
            var urlForm = "";
            if(adress_id == null){
                urlForm = '{url page="compte_adresse_create"}';
                myUrl+= "?nouveau=1";
            } else {
                urlForm = '{url page="compte_adresse_update"}';
            }
            $.ajax({
                type: "POST",
                url: myUrl,
                data: "adress_id=" + adress_id + "&origin=coordonnees",
                success: function (data){
                    div = $("#adress_form_cart");
                    div.html(data);
                    $('#anulerFormAdress').on('click',function (e) {
                        e.preventDefault();
                        div.html("");
                        $("#valid_delivery").show();
                        $("#action_adresse").show();
                    });

                    $(document).on('click',"#ajouterFormAdress",function (e) {
                        e.preventDefault();
                        $.ajax({
                            type: "POST",
                            url: urlForm,
                            dataType: "JSON",
                            data: $('#adress_form_cart :input').serialize(),
                            success: function (dataForm) {
                                if(dataForm.html) {
                                    $(document).find("#div_adresse_form_status").html(dataForm.html);
                                    // $('html,body').animate({
                                    //     scrollTop: $("#div_adresse_form_status").position().top
                                    // }, 'slow');

                                    scrollTo($("#div_adresse_form_status"));
                                }
                                if(dataForm.url){
                                    window.location = dataForm.url;
                                }
                            }
                        });
                    });


                    $('input#livraison_id_input').val($("input[name='livraison_zone_id']").val());
                    $("#valid_delivery").hide();
                    $("#action_adresse").hide();
                    div.show();
                    floatLabel();
                    $('.selectpicker').selectpicker();
                }
            });
        }

        // Gestion de changement d'adresse dans le select
        function change_adresse_shipping (adresse){
            if(adresse !== undefined) {
                adresse_id = $(adresse).val();
            } else {
                adresse_id = $("input[name='adress_shipping_select']:checked").val()
            }
            $.ajax({
                type: "POST",
                url: "{url page="select-modify"}",
                data: "adress_id=" + adresse_id,
                dataType: "JSON",
                success: function(data){
                    if(!data.status){
                        alert("une erreur c'est produite");
                    } else {
                        $('#a_adresse_modify').attr('data-adressid',adresse_id);
                    }
                }
            });

            $.ajax({
                type: "POST",
                url: "{url page="update-livraisons"}",
                data: "adress_id=" + adresse_id,
                dataType: "JSON",
                success: function(data){
                    $('div#livraisons_div').html(data);
                    $.ajax({
                        type: "POST",
                        url: '{url page="update-price"}',
                        data: "livraison_id=" + $('div#livraisons_div input:checked').val(),
                        dataType: 'json',
                        success: function (data) {
                            if(typeof data.ttc !== typeof undefined){
                                $('p.stepRecap.price').html(data.ttc+" €");
                            }
                        }
                    });

                }
            });
        }

        function scrollTo(target) {
            {* FIXME On a besoin de passer les éléments en position static pour récupérer leur position dans le container puis de les repasser en relative *}
            {literal}
            target.parents('.col-md-6').css({'position' : 'static'});
            target.parents('.col-md-6').parent().css({'position' : 'static'});
            if($('.wrapSiteContent').css('position')=='absolute') {
                // Version mobile
                var container = '.wrapSiteContent';
                var goto = target[0].offsetTop;
            } else {
                var container = [document.documentElement, document.body];
                var goto = target.position().top + $('header.header').outerHeight();
            }
            target.parents('.col-md-6').css({'position' : ''});
            target.parents('.col-md-6').parent().css({'position' : ''});
            $(container).animate({
                scrollTop: goto
            }, 500)
            {/literal}
        }

        $(document).ready(function() {

            var selected = $("input[name='livraison_id']:checked");
            change_type_livraison($(selected));

            $("input[name='livraison_id']").on("click", function () {
                change_type_livraison($(this));
            });

            function change_type_livraison(livraison) {
                var type_livraison = $(livraison).data("type");
                switch (type_livraison) {
                    case 1 :
                        // Point relais
                        $(".adressDomWrapper").hide();
                        $(".relaisWrapper").show();
                        // change_adresse_shipping();
                        break;
                    case 2 :
                        // Livraison domicile
                        $(".relaisWrapper").hide();
                        $(".adressDomWrapper").show();
                        break;
                    default :
                        // Aucun type de livraison disponible
                        $(".adressDomWrapper").show();
                        $(".relaisWrapper").hide();
                        break;
                }

                $.ajax({
                    type: "POST",
                    url: '{url page="update-price"}',
                    data: "livraison_id=" + $(livraison).val(),
                    dataType: 'json',
                    success: function (data) {
                        $('p.stepRecap.price').html(data.ttc+" €");
                    }
                });
            }
        });

        var panier = new Panier();

        jQuery(document).on('change', 'input[name="livraison_id"]', function(event){
            event.preventDefault();
            panier.selectShipping(jQuery(this).val());
        });


    </script>
{/block}